import type { GenericParent } from 'myst-common';
import type { Affiliation, Contrib } from 'jats-tags';
import type { Affiliation as AffiliationFM, Contributor as ContributorFM } from 'myst-frontmatter';
export type PubIdTypes = 'doi' | 'pmc' | 'pmid' | 'publisher-id' | string;
export declare function findArticleId(node: GenericParent | undefined, pubIdType?: PubIdTypes): string | undefined;
export declare function processContributor(contrib: Contrib): ContributorFM;
export declare function processAffiliation(aff: Affiliation): AffiliationFM;
//# sourceMappingURL=utils.d.ts.map